curl --request GET \
--url https://api.sandbox.lead.bank/v2/receivable_sales \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v2/receivable_sales"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v2/receivable_sales', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.lead.bank/v2/receivable_sales",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.lead.bank/v2/receivable_sales"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.lead.bank/v2/receivable_sales")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.lead.bank/v2/receivable_sales")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"objects": [
{
"id": "receivable_sale_3f9a1c7e5b2d4a6f8e0c1b3d5f7a9c2e",
"status": "settled",
"request_date": "2026-06-03",
"currency_code": "USD",
"purchase_amount": 1250685,
"purchase_amount_breakdown": {
"principal": 1250000,
"interest": 0,
"fees": 685
},
"receivables_count": 42,
"core_transaction_id": "core_transaction_5BIJT5QH8Qm2n1x~0",
"created_at": "2026-06-04T06:00:00Z",
"settled_at": "2026-06-04T14:30:00Z",
"updated_at": "2026-06-04T14:30:00Z"
},
{
"id": "receivable_sale_6c1e3a5b7d9f0b2d4f6a8c0e2b4d6f8a",
"status": "failed",
"request_date": "2026-06-02",
"currency_code": "USD",
"purchase_amount": 870000,
"purchase_amount_breakdown": {
"principal": 865000,
"interest": 3200,
"fees": 1800
},
"receivables_count": 27,
"core_transaction_id": null,
"failure": {
"reason": "non_sufficient_funds",
"details": "Your account has insufficient funds. Please add funds and notify Lead."
},
"created_at": "2026-06-03T06:00:00Z",
"settled_at": null,
"updated_at": "2026-06-03T14:30:00Z"
}
],
"has_more": false
}{
"code": "request_malformed",
"message": "The request is invalid and cannot be parsed by the server.",
"errors": [
{
"code": "url_malformed",
"message": "The request URL could not be parsed."
}
]
}{
"code": "authentication_missing",
"message": "The request has no authentication credentials. Send your API token in the Authorization header.",
"errors": [
{
"code": "authentication_missing",
"message": "The Authorization header is missing. Send your API token as a bearer token.",
"parameters": [
"Authorization"
]
}
]
}{
"code": "parameters_invalid",
"message": "One or more parameters are invalid.",
"errors": [
{
"code": "invalid_value",
"message": "status must be one of created, settled, failed.",
"parameters": [
"status"
]
}
]
}{
"code": "rate_limit_exceeded",
"message": "You have exceeded the rate limit for this endpoint. Retry with backoff."
}{
"code": "internal_server_error",
"message": "An unexpected error occurred. Contact support with the Request-Id header value."
}{
"code": "gateway_timeout",
"message": "An upstream system did not respond in time. Retry with backoff."
}List all Receivable Sales
List the Receivable Sales for your program, most recently created first. More than one Receivable Sale can exist for the same request_date.
curl --request GET \
--url https://api.sandbox.lead.bank/v2/receivable_sales \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v2/receivable_sales"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v2/receivable_sales', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.lead.bank/v2/receivable_sales",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.lead.bank/v2/receivable_sales"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.lead.bank/v2/receivable_sales")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.lead.bank/v2/receivable_sales")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"objects": [
{
"id": "receivable_sale_3f9a1c7e5b2d4a6f8e0c1b3d5f7a9c2e",
"status": "settled",
"request_date": "2026-06-03",
"currency_code": "USD",
"purchase_amount": 1250685,
"purchase_amount_breakdown": {
"principal": 1250000,
"interest": 0,
"fees": 685
},
"receivables_count": 42,
"core_transaction_id": "core_transaction_5BIJT5QH8Qm2n1x~0",
"created_at": "2026-06-04T06:00:00Z",
"settled_at": "2026-06-04T14:30:00Z",
"updated_at": "2026-06-04T14:30:00Z"
},
{
"id": "receivable_sale_6c1e3a5b7d9f0b2d4f6a8c0e2b4d6f8a",
"status": "failed",
"request_date": "2026-06-02",
"currency_code": "USD",
"purchase_amount": 870000,
"purchase_amount_breakdown": {
"principal": 865000,
"interest": 3200,
"fees": 1800
},
"receivables_count": 27,
"core_transaction_id": null,
"failure": {
"reason": "non_sufficient_funds",
"details": "Your account has insufficient funds. Please add funds and notify Lead."
},
"created_at": "2026-06-03T06:00:00Z",
"settled_at": null,
"updated_at": "2026-06-03T14:30:00Z"
}
],
"has_more": false
}{
"code": "request_malformed",
"message": "The request is invalid and cannot be parsed by the server.",
"errors": [
{
"code": "url_malformed",
"message": "The request URL could not be parsed."
}
]
}{
"code": "authentication_missing",
"message": "The request has no authentication credentials. Send your API token in the Authorization header.",
"errors": [
{
"code": "authentication_missing",
"message": "The Authorization header is missing. Send your API token as a bearer token.",
"parameters": [
"Authorization"
]
}
]
}{
"code": "parameters_invalid",
"message": "One or more parameters are invalid.",
"errors": [
{
"code": "invalid_value",
"message": "status must be one of created, settled, failed.",
"parameters": [
"status"
]
}
]
}{
"code": "rate_limit_exceeded",
"message": "You have exceeded the rate limit for this endpoint. Retry with backoff."
}{
"code": "internal_server_error",
"message": "An unexpected error occurred. Contact support with the Request-Id header value."
}{
"code": "gateway_timeout",
"message": "An upstream system did not respond in time. Retry with backoff."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A set of filters on the list using the object's field request_date.
Show child attributes
Show child attributes
Return only sales with this status. The status of the receivable sale.
created: the sale has been created and its member receivables and amounts are frozen.settled: thepurchase_amounthas been debited from your account.core_transaction_idandsettled_atare set.failed: the sale could not be settled because your account has insufficient funds or is closed.failuredescribes why. Any other problem leaves the salecreated.
created, settled, failed "settled"
Maximum number of objects to be returned.
1 <= x <= 100A cursor for use in pagination. Pass the ID of the last Receivable Sale in the previous page to fetch the next page. Unique ID of the Receivable Sale object.
64^receivable_sale_\w+$"receivable_sale_3f9a1c7e5b2d4a6f8e0c1b3d5f7a9c2e"
A cursor for use in pagination. Pass the ID of the first Receivable Sale in the current page to fetch the previous page. Unique ID of the Receivable Sale object.
64^receivable_sale_\w+$"receivable_sale_3f9a1c7e5b2d4a6f8e0c1b3d5f7a9c2e"
Was this page helpful?

